local NuttyWarAnnounce = LibStub("AceAddon-3.0"):GetAddon("NuttyWarAnnounce")
local Media = LibStub("LibSharedMedia-3.0")
function NuttyWarAnnounce:setupOptions()
	LibStub("AceConfigRegistry-3.0"):RegisterOptionsTable("NuttyWarAnnounce", options)
	NuttyWarAnnounce.optionsFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions("NuttyWarAnnounce", "NuttyWarAnnounce")
	NuttyWarAnnounce:RegisterChatCommand("nwa", "ChatCommand")
	NuttyWarAnnounce:RegisterChatCommand("nuttywarannounce", "ChatCommand")
	NuttyWarAnnounce:RegisterChatCommand("rc", "ReadyCheck")
end
--slash command functions--
function NuttyWarAnnounce:ChatCommand(input)
    if not input or input:trim() == "" then
        InterfaceOptionsFrame_OpenToCategory(NuttyWarAnnounce.optionsFrame)
    else
        LibStub("AceConfigCmd-3.0").HandleCommand(NuttyWarAnnounce, "nwa", "nuttywarannounce", input)
    end
end

function NuttyWarAnnounce:ReadyCheck()
	if NuttyWarAnnounce.db.profile.readycheckoptions then
	if (UnitInRaid("player") ~= nil) and (GetRealNumRaidMembers() > 0) then

		if IsRaidLeader() or IsRaidOfficer() then
			DoReadyCheck()
		else
			print("You are not a raid leader or have raid assist, and cannot perform a ready check.")
		end
	elseif (UnitInParty("player") ~= nil) and (GetRealNumPartyMembers() > 0) then
		if UnitIsPartyLeader("player") then
			DoReadyCheck()		
		else
			print("You are not the party leader and cannot perform a ready check.")
		end
	else
		print("Not in a group")
	end
	end
end


---options--
options = { 
    name = "Nutty War Announce",
    handler = NuttyWarAnnounce,
	type = "group",
	childGroups = "select",
    args = {
			intro = {
			type = "description",
			name = "An all in one Warrior text based announcement addon.",
			order = 0,
					},
			creator = {
			type = "description",
			name = "Created by Nuttyprot Silvermoon EU.",
			order = 1,
					},
		achannels ={
				type = "group",
				name = "Channels",
				args = {			
					partyannounce = {
						type = "toggle",
						name = "Party",
						order = 0,
						desc = "Enables Party announcements.",
						get = function(info) return NuttyWarAnnounce.db.profile.partyannounce end,
						set = function(info, value) NuttyWarAnnounce.db.profile.partyannounce = value end,
					},
					sayannounce = {
						type = "toggle",
						name = "Say",
						order = 2,
						desc = "Enables Say announcements.",
						get = function(info) return NuttyWarAnnounce.db.profile.sayannounce end,
						set = function(info, value) NuttyWarAnnounce.db.profile.sayannounce = value end,
					},
					yellannounce = {
						type = "toggle",
						name = "Yell",
						order = 3,
						desc = "Enables Yell announcements.",
						get = function(info) return NuttyWarAnnounce.db.profile.yellannounce end,
						set = function(info, value) NuttyWarAnnounce.db.profile.yellannounce = value end,
					},
					raidannounce = {
						type = "toggle",
						name = "Raid",
						order = 1,
						desc = "Enables Raid announcements.",
						get = function(info) return NuttyWarAnnounce.db.profile.raidannounce end,
						set = function(info, value) NuttyWarAnnounce.db.profile.raidannounce = value end,
					},
					raidwarningannounce = {
						type = "toggle",
						name = "Raid Warning",
						order = 4,
						desc = "Enables Raid Warning announcements.",
						get = function(info) return NuttyWarAnnounce.db.profile.raidwarningannounce end,
						set = function(info, value) NuttyWarAnnounce.db.profile.raidwarningannounce = value end,
					},
					whisperannounce = {
						type = "toggle",
						name = "Whisper",
						order = 8,
						desc = "Enables Whisper announcements.",
						get = function(info) return NuttyWarAnnounce.db.profile.whisperannounce end,
						set = function(info, value) NuttyWarAnnounce.db.profile.whisperannounce = value end,
					},
					whispercustom = {
						type = "input",
						name = "Whisper Player Name",
						order = 9,
						width = "double",
						desc = "Enter the Players Name that you want to whisper. You can even whisper yourself",
						get = function(info) return NuttyWarAnnounce.db.profile.whispercustom end,
						set = function(info, value) NuttyWarAnnounce.db.profile.whispercustom = value end,
					},
					customchanannounce = {
						type = "toggle",
						name = "Custom Channel",
						order = 6,
						desc = "Enables Custom Channel announcements.",
						get = function(info) return NuttyWarAnnounce.db.profile.customchanannounce end,
						set = function(info, value) NuttyWarAnnounce.db.profile.customchanannounce = value end,
					},
					customchancustom = {
						type = "input",
						name = "Custom Channel Name",
						order = 7,
						width = "double",
						desc = "Enter the Custom Channel name that you want to announce to.",
						get = function(info) return NuttyWarAnnounce.db.profile.customchancustom end,
						set = function(info, value) NuttyWarAnnounce.db.profile.customchancustom = value end,
					},
					nuttychatchanannounce = {
						type = "toggle",
						name = "Nutty Channel",
						order =5,
						desc = "Enables Nutty Channel announcements. |cffFF0000Only you will see the announcments|r",
						get = function(info) return NuttyWarAnnounce.db.profile.nuttychatchanannounce end,
						set = function(info, value) NuttyWarAnnounce.db.profile.nuttychatchanannounce = value end,
					},
					uierrorframetext = {
						type = "toggle",
						name = "UI Error Frame Text",
						order = 10,
						desc = "Enables UI Error Frame Text. |cff00FF00This is the text above your character|r ",
						get = function(info) return NuttyWarAnnounce.db.profile.uierrorframetext end,
						set = function(info, value) NuttyWarAnnounce.db.profile.uierrorframetext = value end,
					},
					
				},
			},
		iexpiriesoptions ={
				type = "group",
				name = "Expiries",
				childGroups = "tree",
				args = {
			rend ={
				type = "group",
				name = "Rend",
				order = 2,
				args = {
					rendcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.rendcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.rendcustom = val end,
					},
					rendcustomtoggle = {
						type = "toggle",
						name = "Faded Announce",
						order = 0,
						desc = "Enables Rend Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.rendcustomtoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.rendcustomtoggle = value end,
					},
					rendWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Faded Announce and delete any text in the Custom Announce Box.",
						order = 2,
					},
					rendsound = {
						type = 'select',
						name = "Sound",
						order = 3,
						desc = "Select the sound to use",
						get = function(info) return NuttyWarAnnounce.db.profile.rendsound end,
						set = function(info, value) NuttyWarAnnounce.db.profile.rendsound = value end, 
						values = {
							none = "No sound",
							murloc = "Murloc",
							illidan = "Illidan",
							horn = "Horn",
							raidwarning = "Raid Warning",
							readycheck = "Ready Check",
							bell = "Bell",
							horn2 = "Horn 2",
							questfailed = "Quest Failed",
							questcomplete = "Quest Complete",
							train = "Train",
							levelup = "Level Up",
							youwilldie = "You Wil Die",
						},
					},
				},
			},
			mortalstrike ={
				type = "group",
				name = "Mortal Strike",
				order = 3,
				args = {
					mortalstrikecustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.mortalstrikecustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.mortalstrikecustom = val end,
					},
					mortalstrikecustomtoggle = {
						type = "toggle",
						name = "Faded Announce",
						order = 0,
						desc = "Enables Mortal Strike Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.mortalstrikecustomtoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.mortalstrikecustomtoggle = value end,
					},
					mortalstrikeWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Faded Announce and delete any text in the Custom Announce Box.",
						order = 2,
					},
					mortalstrikesound = {
						type = 'select',
						name = "Sound",
						order = 3,
						desc = "Select the sound to use",
						get = function(info) return NuttyWarAnnounce.db.profile.mortalstrikesound end,
						set = function(info, value) NuttyWarAnnounce.db.profile.mortalstrikesound = value end, 
						values = {
							none = "No sound",
							murloc = "Murloc",
							illidan = "Illidan",
							horn = "Horn",
							raidwarning = "Raid Warning",
							readycheck = "Ready Check",
							bell = "Bell",
							horn2 = "Horn 2",
							questfailed = "Quest Failed",
							questcomplete = "Quest Complete",
							train = "Train",
							levelup = "Level Up",
							youwilldie = "You Wil Die",
						},
					},
				},
			},
			demooptions ={
				type = "group",
				name = "Demoralizing Shout",
				order = 4,
				args = {
					demo = {
						type = "toggle",
						name = "Faded Announce",
						order = 0,
						desc = "Enables Demoralizing Shout Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.demo end,
						set = function(info, value) NuttyWarAnnounce.db.profile.demo = value end,
					},
					democustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.democustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.democustom = val end,
					},
					demoWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Demoralizing Shout there is no Simple Announce option. If you delete the text in the Custom Announce box you will only recive a Demoralizing Shout spell link as your Announce.",
						order = 2,
					},
					demosound = {
						type = 'select',
						name = "Sound",
						order = 3,
						desc = "Select the sound to use",
						get = function(info) return NuttyWarAnnounce.db.profile.demosound end,
						set = function(info, value) NuttyWarAnnounce.db.profile.demosound = value end, 
						values = {
							none = "No sound",
							murloc = "Murloc",
							illidan = "Illidan",
							horn = "Horn",
							raidwarning = "Raid Warning",
							readycheck = "Ready Check",
							bell = "Bell",
							horn2 = "Horn 2",
							questfailed = "Quest Failed",
							questcomplete = "Quest Complete",
							train = "Train",
							levelup = "Level Up",
							youwilldie = "You Wil Die",
						},
					},
				},
			},
			thunderclapoptions ={
				type = "group",
				name = "Thunderclap",
				order = 5,
				args = {
					thunderclaptoggle = {
						type = "toggle",
						name = "Faded Announce",
						order = 0,
						desc = "Enables Thunderclap Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.thunderclaptoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.thunderclaptoggle = value end,
					},
					thunderclapcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.thunderclapcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.thunderclapcustom = val end,
					},
					thunderclapWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Thunderclap there is no Simple Announce option. If you delete the text in the Custom Announce box you will only recive a Thunderclap spell link as your Announce.",
						order = 2,
					},
					thunderclapsound = {
						type = 'select',
						name = "Sound",
						order = 3,
						desc = "Select the sound to use",
						get = function(info) return NuttyWarAnnounce.db.profile.thunderclapsound end,
						set = function(info, value) NuttyWarAnnounce.db.profile.thunderclapsound = value end, 
						values = {
							none = "No sound",
							murloc = "Murloc",
							illidan = "Illidan",
							horn = "Horn",
							raidwarning = "Raid Warning",
							readycheck = "Ready Check",
							bell = "Bell",
							horn2 = "Horn 2",
							questfailed = "Quest Failed",
							questcomplete = "Quest Complete",
							train = "Train",
							levelup = "Level Up",
							youwilldie = "You Wil Die",
						},
					},
				},
			},
		},
	},
		hprocsoptions ={
				type = "group",
				name = "Procs",
				childGroups = "tree",
				args = {
			suddendeathoptions ={
				type = "group",
				name = "Sudden Death",
				order = 1,
				args = {
					suddendeath = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Sudden Death Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.suddendeath end,
						set = function(info, value) NuttyWarAnnounce.db.profile.suddendeath = value end,
					},
					suddendeathcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.suddendeathcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.suddendeathcustom = val end,
					},
					suddendeathWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Sudden Death there is no Simple Announce option. If you delete the text in the Custom Announce box you will only recive a Sudden Death spell link as your Announce. ",
						order = 2,
					},
					suddendeathsound = {
						type = 'select',
						name = "Sound",
						order = 3,
						desc = "Select the sound to use",
						get = function(info) return NuttyWarAnnounce.db.profile.suddendeathsound end,
						set = function(info, value) NuttyWarAnnounce.db.profile.suddendeathsound = value end, 
						values = {
							none = "No sound",
							murloc = "Murloc",
							illidan = "Illidan",
							horn = "Horn",
							raidwarning = "Raid Warning",
							readycheck = "Ready Check",
							bell = "Bell",
							horn2 = "Horn 2",
							questfailed = "Quest Failed",
							questcomplete = "Quest Complete",
							train = "Train",
							levelup = "Level Up",
							youwilldie = "You Wil Die",
						},
					},
				},
			},
			slamoptions ={
				type = "group",
				name = "Bloodsurge",
				order = 0,
				args = {
					slam = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Instant Slam Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.slam end,
						set = function(info, value) NuttyWarAnnounce.db.profile.slam = value end,
					},
					slamcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.slamcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.slamcustom = val end,
					},
					slamWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Slam there is no Simple Announce option. If you delete the text in the Custom Announce box you will only recive a Slam spell link as your Announce.",
						order = 2,
					},
					slamsound = {
						type = 'select',
						name = "Sound",
						order = 3,
						desc = "Select the sound to use",
						get = function(info) return NuttyWarAnnounce.db.profile.slamsound end,
						set = function(info, value) NuttyWarAnnounce.db.profile.slamsound = value end, 
						values = {
							none = "No sound",
							murloc = "Murloc",
							illidan = "Illidan",
							horn = "Horn",
							raidwarning = "Raid Warning",
							readycheck = "Ready Check",
							bell = "Bell",
							horn2 = "Horn 2",
							questfailed = "Quest Failed",
							questcomplete = "Quest Complete",
							train = "Train",
							levelup = "Level Up",
							youwilldie = "You Wil Die",
						},
					},
				},
			},
			tasteforbloodoptions ={
				type = "group",
				name = "Taste for Blood",
				order = 2,
				args = {
					tasteforblood = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Taste for Blood Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.tasteforblood end,
						set = function(info, value) NuttyWarAnnounce.db.profile.tasteforblood = value end,
					},
					tasteforbloodcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.tasteforbloodcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.tasteforbloodcustom = val end,
					},
					tasteforbloodWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Taste for Blood there is no Simple Announce option. If you delete the text in the Custom box you will only recive a Taste for Blood spell link as your Announce. ",
						order = 2,
					},
					tasteforbloodsound = {
						type = 'select',
						name = "Sound",
						order = 3,
						desc = "Select the sound to use",
						get = function(info) return NuttyWarAnnounce.db.profile.tasteforbloodsound end,
						set = function(info, value) NuttyWarAnnounce.db.profile.tasteforbloodsound = value end, 
						values = {
							none = "No sound",
							murloc = "Murloc",
							illidan = "Illidan",
							horn = "Horn",
							raidwarning = "Raid Warning",
							readycheck = "Ready Check",
							bell = "Bell",
							horn2 = "Horn 2",
							questfailed = "Quest Failed",
							questcomplete = "Quest Complete",
							train = "Train",
							levelup = "Level Up",
							youwilldie = "You Wil Die",
						},
					},
				},
			},
			swordandboardoptions ={
				type = "group",
				name = "Sword and Board",
				order = 3,
				args = {
					swordandboard = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Sword and Board Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.swordandboard end,
						set = function(info, value) NuttyWarAnnounce.db.profile.swordandboard = value end,
					},
					swordandboardcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.swordandboardcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.swordandboardcustom = val end,
					},
					swordandboardWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Sword and Board there is no Simple Announce option. If you delete the text in the Custom Announce box you will only recive a Sword and Board spell link as your Announce. ",
						order = 2,
					},
					swordandboardsound = {
						type = 'select',
						name = "Sound",
						order = 3,
						desc = "Select the sound to use",
						get = function(info) return NuttyWarAnnounce.db.profile.swordandboardsound end,
						set = function(info, value) NuttyWarAnnounce.db.profile.swordandboardsound = value end, 
						values = {
							none = "No sound",
							murloc = "Murloc",
							illidan = "Illidan",
							horn = "Horn",
							raidwarning = "Raid Warning",
							readycheck = "Ready Check",
							bell = "Bell",
							horn2 = "Horn 2",
							questfailed = "Quest Failed",
							questcomplete = "Quest Complete",
							train = "Train",
							levelup = "Level Up",
							youwilldie = "You Wil Die",
						},
					},
				},
			},
			slaughteroptions ={
				type = "group",
				name = "Slaughter",
				order = 4,
				args = {
					slaughter = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Slaughter Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.slaughter end,
						set = function(info, value) NuttyWarAnnounce.db.profile.slaughter = value end,
					},
					slaughtercustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.slaughtercustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.slaughtercustom = val end,
					},
					slaughterWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Slaughter there is no Simple Announce option. If you delete the text in the Custom Announce box you will only recive a Slaughter spell link as your Announce. ",
						order = 2,
					},
					slaughtersound = {
						type = 'select',
						name = "Sound",
						order = 3,
						desc = "Select the sound to use",
						get = function(info) return NuttyWarAnnounce.db.profile.slaughtersound end,
						set = function(info, value) NuttyWarAnnounce.db.profile.slaughtersound = value end, 
						values = {
							none = "No sound",
							murloc = "Murloc",
							illidan = "Illidan",
							horn = "Horn",
							raidwarning = "Raid Warning",
							readycheck = "Ready Check",
							bell = "Bell",
							horn2 = "Horn 2",
							questfailed = "Quest Failed",
							questcomplete = "Quest Complete",
							train = "Train",
							levelup = "Level Up",
							youwilldie = "You Wil Die",
						},
					},
				},
			},
			enrageoptions ={
				type = "group",
				name = "Enrage",
				order = 5,
				args = {
					Enrage = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Enrage Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.enrage end,
						set = function(info, value) NuttyWarAnnounce.db.profile.enrage = value end,
					},
					enragecustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.enragecustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.enragecustom = val end,
					},
					enrageWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor enrage there is no Simple Announce option. If you delete the text in the Custom Announce box you will only recive a Enrage spell link as your Announce. ",
						order = 2,
					},
					enragesound = {
						type = 'select',
						name = "Sound",
						order = 3,
						desc = "Select the sound to use",
						get = function(info) return NuttyWarAnnounce.db.profile.enragesound end,
						set = function(info, value) NuttyWarAnnounce.db.profile.enragesound = value end, 
						values = {
							none = "No sound",
							murloc = "Murloc",
							illidan = "Illidan",
							horn = "Horn",
							raidwarning = "Raid Warning",
							readycheck = "Ready Check",
							bell = "Bell",
							horn2 = "Horn 2",
							questfailed = "Quest Failed",
							questcomplete = "Quest Complete",
							train = "Train",
							levelup = "Level Up",
							youwilldie = "You Wil Die",
						},
					},
					enragefaded = {
						type = "toggle",
						name = "Faded Announce",
						order = 4,
						desc = "Enables Enrage Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.enragefaded end,
						set = function(info, value) NuttyWarAnnounce.db.profile.enragefaded = value end,
					},
				},
			},
		},
	},
		etauntsoptions ={
					type = "group",
					name = "Taunts",
					childGroups = "tree",
					args = {
			taunt ={
				type = "group",
				name = "Taunt",
				order = 0,
				args = {
					tauntfailed = {
						type = "toggle",
						name = "Failed Announce",
						order = 0,
						desc = "Enables Taunt Failed Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.tauntfailed end,
						set = function(info, value) NuttyWarAnnounce.db.profile.tauntfailed = value end,
					},
					tauntcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.tauntcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.tauntcustom = val end,
					},
					tauntWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Failed Announce and delete any text in the Custom Announce Box.",
						order = 2,
					},
				},
			},
			challangingshout ={
				type = "group",
				name = "Challenging Shout",
				order = 2,
				args = {			
					challshoutused = {
						type = "toggle",
						name = "Random Announce",
						order = 0,
						desc = "Enables Challenging Shout Random Quote Announce. |cffFF0000Must disable to use Custom Announce|r",
						get = function(info) return NuttyWarAnnounce.db.profile.challshoutused end,
						set = function(info, value) NuttyWarAnnounce.db.profile.challshoutused = value end,
						disabled = function(info) return NuttyWarAnnounce.db.profile.challshoutcustomtoggle end,
					},
					challshoutfaded = {
						type = "toggle",
						name = "Faded Announce",
						order = 4,
						desc = "Enables Challenging Shout Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.challshoutfaded end,
						set = function(info, value) NuttyWarAnnounce.db.profile.challshoutfaded = value end,
					},
					challshoutfailed = {
						type = "toggle",
						name = "Failed Announce",
						order = 5,
						desc = "Enables Challenging Shout Failed Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.challshoutfailed end,
						set = function(info, value) NuttyWarAnnounce.db.profile.challshoutfailed = value end,
					},
					challshoutcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 2,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.challshoutcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.challshoutcustom = val end,
					},
					challshoutcustomtoggle = {
						type = "toggle",
						name = "Custom Announce",
						order = 1,
						desc = "Enables Challenging Shout Custom Announce. |cffFF0000Must disable to use Random Announce|r",
						get = function(info) return NuttyWarAnnounce.db.profile.challshoutcustomtoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.challshoutcustomtoggle = value end,
						disabled = function(info) return NuttyWarAnnounce.db.profile.challshoutused end,
					},
					challshoutWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Custom Announce and delete any text in the Custom Announce Box.",
						order = 3,
					},
				},
			},
		},
	},
		cfuryoptions ={
					type = "group",
					name = "Fury Abilities",
					childGroups = "tree",
					args = {
			intimidatingshout ={
				type = "group",
				name = "Intimidating Shout",
				order = 1,
				args = {			
					intimidatingshoutfaded = {
						type = "toggle",
						name = "Faded Announce",
						order = 3,
						desc = "Enables Intimidating Shout Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.intimidatingshoutfaded end,
						set = function(info, value) NuttyWarAnnounce.db.profile.intimidatingshoutfaded = value end,
					},
					intimidatingshoutfailed = {
						type = "toggle",
						name = "Failed Announce",
						order = 4,
						desc = "Enables Intimidating Shout Failed Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.challshoutfailed end,
						set = function(info, value) NuttyWarAnnounce.db.profile.challshoutfailed = value end,
					},
					intimidatingshoutcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.intimidatingshoutcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.intimidatingshoutcustom = val end,
					},
					intimidatingshoutcustomtoggle = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Intimidating Shout Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.intimidatingshoutcustomtoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.intimidatingshoutcustomtoggle = value end,
					},
					intimidatingshoutWarning = {
						type = "description",
						order = 2,
						name = "|cff00FF00Note\n|rFor Simple Announce enable Announce and delete any text in the Custom Announce Box.",
					},
				},
			},
			piercinghowl ={
				type = "group",
				name = "Piercing Howl",
				order = 2,
				args = {			
					piercinghowlfaded = {
						type = "toggle",
						name = "Faded Announce",
						order = 3,
						desc = "Enables Piercing Howl Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.piercinghowlfaded end,
						set = function(info, value) NuttyWarAnnounce.db.profile.piercinghowlfaded = value end,
					},
					piercinghowlfailed = {
						type = "toggle",
						name = "Failed Announce",
						order = 4,
						desc = "Enables Piercing Howl Failed Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.piercinghowlfailed end,
						set = function(info, value) NuttyWarAnnounce.db.profile.piercinghowlfailed = value end,
					},
					piercinghowlcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.piercinghowlcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.piercinghowlcustom = val end,
					},
					piercinghowlcustomtoggle = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Piercing Howl Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.piercinghowlcustomtoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.piercinghowlcustomtoggle = value end,
					},
					piercinghowlWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Announce and delete any text in the Custom Announce Box.",
						order = 2,
					},
				},
			},
			deathwish ={
				type = "group",
				name = "Death Wish",
				order = 3,
				args = {
					deathwishfaded = {
						type = "toggle",
						name = "Faded Announce",
						order = 3,
						desc = "Enables Death Wish Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.deathwishfaded end,
						set = function(info, value) NuttyWarAnnounce.db.profile.deathwishfaded = value end,
					},
					deathwishcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.deathwishcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.deathwishcustom = val end,
					},
					deathwishcustomtoggle = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Death Wish Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.deathwishcustomtoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.deathwishcustomtoggle = value end,
					},
					deathwishWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Announce and delete any text in the Custom Announce Box.",
						order = 2,
					},
				},
			},
			recklessness ={
				type = "group",
				name = "Recklessness",
				order = 0,
				args = {
					recklessnessfaded = {
						type = "toggle",
						name = "Faded Announce",
						order = 3,
						desc = "Enables Recklessness Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.recklessnessfaded end,
						set = function(info, value) NuttyWarAnnounce.db.profile.recklessnessfaded = value end,
					},
					recklessnesscustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.recklessnesscustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.recklessnesscustom = val end,
					},
					recklessnesscustomtoggle = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Recklessness Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.recklessnesscustomtoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.recklessnesscustomtoggle = value end,
					},
					recklessnessWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Announce and delete any text in the Custom Announce Box.",
						order = 2,
					},
				},
			},	
			enragedregeneration ={
				type = "group",
				name = "Enraged Regeneration",
				order = 4,
				args = {
					enragedregenerationfaded = {
						type = "toggle",
						name = "Faded Announce",
						order = 3,
						desc = "Enables Enraged Regeneration Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.enragedregenerationfaded end,
						set = function(info, value) NuttyWarAnnounce.db.profile.enragedregenerationfaded = value end,
					},
					enragedregenerationcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.enragedregenerationcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.enragedregenerationcustom = val end,
					},
					enragedregenerationcustomtoggle = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Enraged Regeneration Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.enragedregenerationcustomtoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.enragedregenerationcustomtoggle = value end,
					},
					enragedregenerationWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Announce and delete any text in the Custom Announce Box.",
						order = 2,
					},
				},
			},
		},
	},
		dprotoptions ={
					type = "group",
					name = "Prot Abilities",
					childGroups = "tree",
					args = {
			disarm ={
				type = "group",
				name = "Disarm",
				order = 3,
				args = {			
					disarmused= {
						type = "toggle",
						name = "Announce",
						desc = "Enables Disarm Announce.",
						order = 0,
						get = function(info) return NuttyWarAnnounce.db.profile.disarmused end,
						set = function(info, value) NuttyWarAnnounce.db.profile.disarmused = value end,
					},
					disarmcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.disarmcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.disarmcustom = val end,
					},
					disarmWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Announce and delete any text in the Custom Announce Box.",
						order = 2,
					},
					disarmfaded = {
						type = "toggle",
						name = "Faded Announce",
						order = 3,
						desc = "Enables Disarm Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.disarmfaded end,
						set = function(info, value) NuttyWarAnnounce.db.profile.disarmfaded = value end,
					},
					disarmfailed = {
						type = "toggle",
						name = "Failed Announce",
						order = 4,
						desc = "Enables Disarm Failed Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.disarmfailed end,
						set = function(info, value) NuttyWarAnnounce.db.profile.disarmfailed = value end,
					},
				},
			},
			vigilance ={
				type = "group",
				name = "Vigilance",
				order = 2,
				args = {
					vigilanceannounced = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Vigilance Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.vigilanceannounced end,
						set = function(info, value) NuttyWarAnnounce.db.profile.vigilanceannounced = value end,
					},
					vigilancecustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.vigilancecustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.vigilancecustom = val end,
					},
					vigilanceWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Announce and delete any text in the Custom Announce Box.",
						order = 2,
					},
					vigilancefaded = {
						type = "toggle",
						name = "Faded Announce",
						order = 3,
						desc = "Enables Vigilance Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.vigilancefaded end,
						set = function(info, value) NuttyWarAnnounce.db.profile.vigilancefaded = value end,						
					},
					vigilancesound = {
						type = 'select',
						name = "Sound",
						order = 4,
						desc = "Select the sound to use",
						get = function(info) return NuttyWarAnnounce.db.profile.vigilancesound end,
						set = function(info, value) NuttyWarAnnounce.db.profile.vigilancesound = value end, 
						values = {
							none = "No sound",
							murloc = "Murloc",
							illidan = "Illidan",
							horn = "Horn",
							raidwarning = "Raid Warning",
							readycheck = "Ready Check",
							bell = "Bell",
							horn2 = "Horn 2",
							questfailed = "Quest Failed",
							questcomplete = "Quest Complete",
							train = "Train",
							levelup = "Level Up",
							youwilldie = "You Wil Die",
						},
					},
				},
			},
			shieldwall ={
				type = "group",
				name = "Shield Wall",
				order = 1,
				args = {
					shieldwallused = {
						type = "toggle",
						name = "Random Announce",
						order = 0,
						desc = "Enables Shield Wall Random Quote Announce. |cffFF0000Must disable to use Custom Announce|r",
						get = function(info) return NuttyWarAnnounce.db.profile.shieldwallused end,
						set = function(info, value) NuttyWarAnnounce.db.profile.shieldwallused = value end,
						disabled = function(info) return NuttyWarAnnounce.db.profile.shieldwallcustomtoggle end,
					},
					shieldwallfaded = {
						type = "toggle",
						name = "Faded Announce",
						order = 4,
						desc = "Enables Shield Wall Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.shieldwallfaded end,
						set = function(info, value) NuttyWarAnnounce.db.profile.shieldwallfaded = value end,
					},
					shieldwallcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 2,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.shieldwallcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.shieldwallcustom = val end,
					},
					shieldwallcustomtoggle = {
						type = "toggle",
						name = "Custom Announce",
						order = 1,
						desc = "Enables Shield Wall Custom Announce. |cffFF0000Must disable to use Random Announce|r",
						get = function(info) return NuttyWarAnnounce.db.profile.shieldwallcustomtoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.shieldwallcustomtoggle = value end,
						disabled = function(info) return NuttyWarAnnounce.db.profile.shieldwallused end,
					},
					shieldwallWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Custom Announce and delete any text in the Custom Announce Box.",
						order = 3,
					},
				},
			},
			laststand ={
				type = "group",
				name = "Last Stand",
				order = 0,
				args = {
					laststandused = {
						type = "toggle",
						name = "Random Announce",
						order = 0,
						desc = "Enables Last Stand Random Quote Announce. |cffFF0000Must disable to use Custom Announce|r",
						get = function(info) return NuttyWarAnnounce.db.profile.laststandused end,
						set = function(info, value) NuttyWarAnnounce.db.profile.laststandused = value end,
						disabled = function(info) return NuttyWarAnnounce.db.profile.laststandcustomtoggle end,
					},
					laststandfaded = {
						type = "toggle",
						name = "Faded Announce",
						order = 4,
						desc = "Enables Last Stand Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.laststandfaded end,
						set = function(info, value) NuttyWarAnnounce.db.profile.laststandfaded = value end,
					},
					laststandcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 2,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.laststandcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.laststandcustom = val end,
					},
					laststandcustomtoggle = {
						type = "toggle",
						name = "Custom Announce",
						order = 1,
						desc = "Enables Last Stand Custom Announce. |cffFF0000Must disable to use Random Announce|r",
						get = function(info) return NuttyWarAnnounce.db.profile.laststandcustomtoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.laststandcustomtoggle = value end,
						disabled = function(info) return NuttyWarAnnounce.db.profile.laststandused end,
					},
					laststandWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Custom Announce and delete any text in the Custom Announce Box.",
						order = 3,
					},
				},
			},
		},
	},
		barmsoptions ={
					type = "group",
					name = "Arms Abilities",
					childGroups = "tree",
					args = {
			retaliation ={
				type = "group",
				name = "Retaliation",
				order = 0,
				args = {
					retaliationfaded = {
						type = "toggle",
						name = "Faded Announce",
						order = 3,
						desc = "Enables Retaliation Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.retaliationfaded end,
						set = function(info, value) NuttyWarAnnounce.db.profile.retaliationfaded = value end,
					},
					retaliationcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Retaliation Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.retaliationcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.retaliationcustom = val end,
					},
					retaliationcustomtoggle = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Retaliation Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.retaliationcustomtoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.retaliationcustomtoggle = value end,
					},
					retaliationWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Announce and delete any text in the Custom Announce Box.",
						order = 2,
					},
				},
			},	
			bladestorm ={
				type = "group",
				name = "Bladestorm",
				order = 1,
				args = {
					bladestormfaded = {
						type = "toggle",
						name = "Faded Announce",
						order = 3,
						desc = "Enables Bladestorm Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.bladestormfaded end,
						set = function(info, value) NuttyWarAnnounce.db.profile.bladestormfaded = value end,
					},
					bladestormcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Bladestorm Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.bladestormcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.bladestormcustom = val end,
					},
					bladestormcustomtoggle = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Bladestorm Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.bladestormcustomtoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.bladestormcustomtoggle = value end,
					},
					retaliationWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Announce and delete any text in the Custom Announce Box.",
						order = 2,
					},
				},
			},
			deadlycalm ={
				type = "group",
				name = "Deadly Calm",
				order = 4,
				args = {
					deadlycalmfaded = {
						type = "toggle",
						name = "Faded Announce",
						order = 3,
						desc = "Enables Deadly Calm Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.deadlycalmfaded end,
						set = function(info, value) NuttyWarAnnounce.db.profile.deadlycalmfaded = value end,
					},
					deadlycalmcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Deadly Calm Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.deadlycalmcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.deadlycalmcustom = val end,
					},
					deadlycalmcustomtoggle = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Deadly Calm Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.deadlycalmcustomtoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.deadlycalmcustomtoggle = value end,
					},
					deadlycalmWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Announce and delete any text in the Custom Announce Box.",
						order = 2,
					},
				},
			},
			shatteringthrow ={
				type = "group",
				name = "Shattering Throw",
				order = 2,
				args = {
					shatteringthrowannounce = {
						type = "toggle",
						name = "Random Announce",
						order = 0,
						desc = "Enables Shattering Throw Random Quote Announce. |cffFF0000Must disable to use Custom Announce|r",
						get = function(info) return NuttyWarAnnounce.db.profile.shatteringthrowannounce end,
						set = function(info, value) NuttyWarAnnounce.db.profile.shatteringthrowannounce = value end,
						disabled = function(info) return NuttyWarAnnounce.db.profile.shatteringthrowcustomtoggle end,
						},
					shatteringthrowfade = {
						type = "toggle",
						name = "Faded Announce",
						order = 4,
						desc = "Enables Shattering Throw Faded Announce",
						get = function(info) return NuttyWarAnnounce.db.profile.shatteringthrowfade end,
						set = function(info, value) NuttyWarAnnounce.db.profile.shatteringthrowfade = value end,
						},
					shatteringthrowcustom = {
						type = "input",
						width = "double",
						order = 2,
						name = "Custom Announce",
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.shatteringthrowcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.shatteringthrowcustom = val end,
					},
					shatteringthrowcustomtoggle = {
						type = "toggle",
						name = "Custom Announce",
						order = 1,
						desc = "Enables Shattering Throw Custom Announce. |cffFF0000Must disable to use Random Announce|r",
						get = function(info) return NuttyWarAnnounce.db.profile.shatteringthrowcustomtoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.shatteringthrowcustomtoggle = value end,
						disabled = function(info) return NuttyWarAnnounce.db.profile.shatteringthrowannounce end,
					},
					shatteringthrowWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Custom Announce and delete any text in the Custom Announce Box.",
						order = 3,
					},
				},
			},
			hamstring ={
				type = "group",
				name = "Hamstring",
				order = 3,
				args = {			
					hamstringused= {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Hamstring Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.hamstringused end,
						set = function(info, value) NuttyWarAnnounce.db.profile.hamstringused = value end,
					},
					hamstringcustom = {
						type = "input",
						width = "double",
						order = 1,
						name = "Custom Announce",
						desc = "The text that will be shown for Custom Hamstring Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.hamstringcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.hamstringcustom = val end,
					},
					hamstringWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Hamstring Announce and delete any text in the Custom Announce Box.",
						order = 3,
					},
					hamstringfaded = {
						type = "toggle",
						name = "Faded Announce",
						order = 4,
						desc = "Enables Hamstring Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.hamstringfaded end,
						set = function(info, value) NuttyWarAnnounce.db.profile.hamstringfaded = value end,
					},
					hamstringfailed = {
						type = "toggle",
						name = "Failed Announce",
						order = 5,
						desc = "Enables Hamstring Failed Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.hamstringfailed end,
						set = function(info, value) NuttyWarAnnounce.db.profile.hamstringfailed = value end,
					},
				},
			},
		},
	},
		finterruptsoptions ={
					type = "group",
					name = "Interrupts",
					childGroups = "tree",
					args = {
			shieldbash ={
				type = "group",
				name = "Shield Bash",
				order = 0,
				args = {
					shieldbashsuccessfulinterrupt ={
						type = "toggle",
						name = "Successfully Interrupt",
						order = 0,
						desc = "Announce successful interrupts with Shield Bash",
						get = function(info) return NuttyWarAnnounce.db.profile.shieldbashsuccessfulinterrupt end,
						set = function(info, value) NuttyWarAnnounce.db.profile.shieldbashsuccessfulinterrupt = value end,
					},
					shieldbashcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.shieldbashcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.shieldbashcustom = val end,
					},
					shieldbashWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Successfully Interrupt and delete any text in the Custom Announce Box.",
						order = 2,
					},
					shieldbashfailed = {
						type = "toggle",
						name = "Failed Interrupt",
						order = 3,
						desc = "Announce failed interrupts with Shield Bash",
						get = function(info) return NuttyWarAnnounce.db.profile.shieldbashfailed end,
						set = function (info, value) NuttyWarAnnounce.db.profile.shieldbashfailed = value end,
					},
				},
			},
			pummel ={
				type = "group",
				name = "Pummel",
				order = 1,
				args = {
					pummelsuccessfulinterrupt ={
						type = "toggle",
						name = "Successfully Interrupt",
						order = 0,
						desc = "Announce successful interrupts with Pummel",
						get = function(info) return NuttyWarAnnounce.db.profile.pummelsuccessfulinterrupt end,
						set = function(info, value) NuttyWarAnnounce.db.profile.pummelsuccessfulinterrupt = value end,
					},
					pummelcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.pummelcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.pummelcustom = val end,
					},
					pummelWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Successfully Interrupt and delete any text in the Custom Announce Box.",
						order = 2,
					},
					pummelfailed = {
						type = "toggle",
						name = "Failed Interrupt",
						order = 3,
						desc = "Announce failed interrupts with Pummel",
						get = function(info) return NuttyWarAnnounce.db.profile.pummelfailed end,
						set = function (info, value) NuttyWarAnnounce.db.profile.pummelfailed = value end,
					},
				},
			},
		},
	},
		jtoolsoptions ={
					type = "group",
					name = "Tools",
					childGroups = "tree",
					args = {
			tauntmonitor ={
				type = "group",
				name = "Taunt Monitor",
				order = 1,
					args = {
				tauntinfo = {
				type = "description",
				name ="Taunt monitor will watch for any taunts in a raid or part and announce them only you will see the announce",
				order = 0,
				},
				tauntmonitortoggle = {
						type = "toggle",
						name = "Taunt Monitor",
						desc = "Monitor all taunts while in a raid or party.",
						get = function(info) return NuttyWarAnnounce.db.profile.tauntmonitortoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.tauntmonitortoggle = value end,
					},
				},
			},
			ccmonitor ={
				type = "group",
				name = "Crowd Control Monitor",
				order = 2,
					args = {
				tauntinfo = {
				type = "description",
				name ="Crowd Control monitor will watch for any Crowd Control in a raid or part and announce them when broken",
				order = 0,
				},
				ccmonitortoggle = {
						type = "toggle",
						name = "Crowd Control Monitor",
						desc = "Monitor all Crowd Control while in a raid or party.",
						get = function(info) return NuttyWarAnnounce.db.profile.ccmonitortoggle end,
						set = function(info, value) NuttyWarAnnounce.db.profile.ccmonitortoggle = value end,
					},
				},
			},			
			flaskexpiredoptions ={
				type = "group",
				name = "Flask Faded",
				order = 3,
				args = {
					flaskinfo = {
						type = "description",
						name ="Flask Faded will announce when your flask has run out Only you will see the announce.\n\nFlask's Supported\n\nFlask of Endless Rage\nFlask of Relentless Assault\nFlask of Stoneblood\n\n",
						order = 0,
					},
					flaskexpired = {
						type = "toggle",
						name = "Faded Announce",
						order = 1,
						desc = "Enables Flask Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.flaskexpired end,
						set = function(info, value) NuttyWarAnnounce.db.profile.flaskexpired = value end,
					},
					flaskexpiredcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 2,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.flaskexpiredcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.flaskexpiredcustom = val end,
					},
					flaskexpiredWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Flask Faded there is no Simple Announce option. If you delete the text in the Custom Announce box you will only recive Flask Expired spell link as your Announce.",
						order = 3,
					},
					flaskexpiredsound = {
						type = 'select',
						name = "Sound",
						order = 4,
						desc = "Select the sound to use",
						get = function(info) return NuttyWarAnnounce.db.profile.flaskexpiredsound end,
						set = function(info, value) NuttyWarAnnounce.db.profile.flaskexpiredsound = value end, 
						values = {
							none = "No sound",
							murloc = "Murloc",
							illidan = "Illidan",
							horn = "Horn",
							raidwarning = "Raid Warning",
							readycheck = "Ready Check",
							bell = "Bell",
							horn2 = "Horn 2",
							questfailed = "Quest Failed",
							questcomplete = "Quest Complete",
							train = "Train",
							levelup = "Level Up",
							youwilldie = "You Wil Die",
						},
					},
				},
			},
			foodexpiredoptions ={
				type = "group",
				name = "Food Faded",
				order = 4,
				args = {
					foodinfo = {
						type = "description",
						name ="Food Faded will announce when your food buff has run out. Only you will see the announce.\n\nFood Supported\n\nMega Mammoth Meal\nFish Feast\nDragonfin Filet\nBlackened Dragonfin\nRhinolicious Wormsteak\nSnapper Extreme\nHearty Rhino\nSpicy Blue Nettlefish\nPoached Northern Sculpin\n\n",
						order = 0,
					},
					foodexpired = {
						type = "toggle",
						name = "Faded Announce",
						order = 1,
						desc = "Enables Food Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.foodexpired end,
						set = function(info, value) NuttyWarAnnounce.db.profile.foodexpired = value end,
					},
					foodexpiredcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 2,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.foodexpiredcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.foodexpiredcustom = val end,
					},
					foodexpiredWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Food Faded there is no Simple Announce option. If you delete the text in the Custom Announce box you will only recive a Well Fed spell link as your Announce.",
						order = 3,
					},
					foodexpiredsound = {
						type = 'select',
						name = "Sound",
						order = 4,
						desc = "Select the sound to use",
						get = function(info) return NuttyWarAnnounce.db.profile.foodexpiredsound end,
						set = function(info, value) NuttyWarAnnounce.db.profile.foodexpiredsound = value end, 
						values = {
							none = "No sound",
							murloc = "Murloc",
							illidan = "Illidan",
							horn = "Horn",
							raidwarning = "Raid Warning",
							readycheck = "Ready Check",
							bell = "Bell",
							horn2 = "Horn 2",
							questfailed = "Quest Failed",
							questcomplete = "Quest Complete",
							train = "Train",
							levelup = "Level Up",
							youwilldie = "You Wil Die",
						},
					},
				},
			},		
			imdeadoptions ={
				type = "group",
				name = "I'm Dead Announce",
				order = 5,
				args = {
					imdeadinfo = {
						type = "description",
						name ="I'm Dead Announce will announce to the channel/channel's you have selected when you die",
						order = 0,
					},
					imdead = {
						type = "toggle",
						name = "Announce",
						order = 1,
						desc = "Enables I'm Dead Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.imdead end,
						set = function(info, value) NuttyWarAnnounce.db.profile.imdead = value end,
					},
					imdeadcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 2,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.imdeadcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.imdeadcustom = val end,
					},
					imdeadWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Announce and delete any text in the Custom Announce Box.",
						order = 3,
						},
					},
				},
			resurrectoptions ={
				type = "group",
				name = "Resurrect",
				order = 6,
				args = {
					AutoResbat = {
						type = "toggle",
						name = "Auto release in Battlefield",
						order = 2,
						desc = "Enables Auto release in Battlefield.",
						get = function(info) return NuttyWarAnnounce.db.profile.AutoResbat end,
						set = function(info, value) NuttyWarAnnounce.db.profile.AutoResbat = value end,
					},
					AutoAccRes = {
						type = "toggle",
						name = "Auto accept resurrect",
						order = 3,
						desc = "Enables Auto accept a resurrect request out of combat.",
						get = function(info) return NuttyWarAnnounce.db.profile.AutoAccRes end,
						set = function(info, value) NuttyWarAnnounce.db.profile.AutoAccRes = value end,
					},
				},
			},
				sunderoptions ={
					type = "group",
					name = "Sunder Armor",
					order = 7,
					args = {
						sunderarmor = {
							type = "toggle",
							name = "Sunder Armor 3 Stacks announce",
							order = 2,
							desc = "Enables Sunder Armor 3 Stacks announce.",
							get = function(info) return NuttyWarAnnounce.db.profile.sunderarmor end,
							set = function(info, value) NuttyWarAnnounce.db.profile.sunderarmor = value end,
						},
					},
				},
				readycheckoptions ={
					type = "group",
					name = "Short Ready Check",
					order = 8,
					args = {
						sunderarmor = {
							type = "toggle",
							name = "Short Ready Check",
							order = 2,
							desc = "Enables Short ready Check type /rc to do a ready check.",
							get = function(info) return NuttyWarAnnounce.db.profile.readycheckoptions end,
							set = function(info, value) NuttyWarAnnounce.db.profile.readycheckoptions = value end,
						},
					},
				},
		},
	},
			gbuffsoptions ={
					type = "group",
					name = "Buffs",
					childGroups = "tree",
					args = {
				battleshoutoptions ={
					type = "group",
					name = "Battle Shout",
					order = 0,
					args = {
					battleshoutall = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Battle Shout Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.battleshoutall end,
						set = function(info, value) NuttyWarAnnounce.db.profile.battleshoutall = value end,
					},
					battleshoutcustomall = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.battleshoutcustomall end,
						set = function(info,val) NuttyWarAnnounce.db.profile.battleshoutcustomall = val end,
					},
					battleshoutallWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Announce and delete any text in the Custom Announce Box.",
						order = 2,
					},
					battleshoutfadedall = {
						type = "toggle",
						name = "Faded Announce",
						order = 3,
						desc = "Enables Commanding Shout Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.battleshoutfadedall end,
						set = function(info, value) NuttyWarAnnounce.db.profile.battleshoutfadedall = value end,
					},
					meonlybattleshout = {
						type = "header",
						name = "Me Only",
						order = 4,
					},
					meonlybattleshoutdescription = {
						type = "description",
						name = "Only you will see the below Announce and it will only Announce in combat\n",
						order = 5,
					},
					battleshout = {
						type = "toggle",
						name = "Faded Announce",
						order = 6,
						desc = "Enables Battle Shout Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.battleshout end,
						set = function(info, value) NuttyWarAnnounce.db.profile.battleshout = value end,
					},
					battleshoutcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 7,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.battleshoutcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.battleshoutcustom = val end,
					},
					battleshoutWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Battle Shout there is no Simple Announce option. If you delete the text in the Custom Announce box you will only recive a Battle Shout spell link as your Announce.",
						order = 8,
					},
					battleshoutsound = {
						type = 'select',
						name = "Sound",
						order = 9,
						desc = "Select the sound to use",
						get = function(info) return NuttyWarAnnounce.db.profile.battleshoutsound end,
						set = function(info, value) NuttyWarAnnounce.db.profile.battleshoutsound = value end, 
						values = {
							none = "No sound",
							murloc = "Murloc",
							illidan = "Illidan",
							horn = "Horn",
							raidwarning = "Raid Warning",
							readycheck = "Ready Check",
							bell = "Bell",
							horn2 = "Horn 2",
							questfailed = "Quest Failed",
							questcomplete = "Quest Complete",
							train = "Train",
							levelup = "Level Up",
							youwilldie = "You Wil Die",
							},
						},
					},
				},
			commandingshoutoptions ={
					type = "group",
					name = "Commanding shout",
					order = 1,
					args = {
					commandingshoutall = {
						type = "toggle",
						name = "Announce",
						order = 0,
						desc = "Enables Commanding Shout Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.commandingshoutall end,
						set = function(info, value) NuttyWarAnnounce.db.profile.commandingshoutall = value end,
					},
					commandingshoutcustomall = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 1,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.commandingshoutcustomall end,
						set = function(info,val) NuttyWarAnnounce.db.profile.commandingshoutcustomall = val end,
					},
					commandingshoutallWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Simple Announce enable Announce and delete any text in the Custom Announce Box.",
						order = 2,
					},
					commandingshoutfadedall = {
						type = "toggle",
						name = "Faded Announce",
						order = 3,
						desc = "Enables Commanding Shout Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.commandingshoutfadedall end,
						set = function(info, value) NuttyWarAnnounce.db.profile.commandingshoutfadedall = value end,
					},
					meonlycommandingshout = {
						type = "header",
						name = "Me Only",
						order = 4,
					},
					meonlycommandingshoutdescription = {
						type = "description",
						name = "Only you will see the below Announce and it will only Announce in combat\n",
						order = 5,
					},
					commandingshout = {
						type = "toggle",
						name = "Faded Announce",
						order = 6,
						desc = "Enables Commanding Shout Faded Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.commandingshout end,
						set = function(info, value) NuttyWarAnnounce.db.profile.commandingshout = value end,
					},
					commandingshoutcustom = {
						type = "input",
						width = "double",
						name = "Custom Announce",
						order = 7,
						desc = "The text that will be shown for Custom Announce.",
						get = function(info) return NuttyWarAnnounce.db.profile.commandingshoutcustom end,
						set = function(info,val) NuttyWarAnnounce.db.profile.commandingshoutcustom = val end,
					},
					commandingshoutWarning = {
						type = "description",
						name = "|cff00FF00Note\n|rFor Commanding Shout there is no Simple Announce option. If you delete the text in the Custom Announce box you will only recive a Commanding Shout spell link as your Announce. ",
						order = 8,
					},
					commandingshoutsound = {
						type = 'select',
						name = "Sound",
						order = 9,
						desc = "Select the sound to use",
						get = function(info) return NuttyWarAnnounce.db.profile.commandingshoutsound end,
						set = function(info, value) NuttyWarAnnounce.db.profile.commandingshoutsound = value end, 
						values = {
							none = "No sound",
							murloc = "Murloc",
							illidan = "Illidan",
							horn = "Horn",
							raidwarning = "Raid Warning",
							readycheck = "Ready Check",
							bell = "Bell",
							horn2 = "Horn 2",
							questfailed = "Quest Failed",
							questcomplete = "Quest Complete",
							train = "Train",
							levelup = "Level Up",
							youwilldie = "You Wil Die",
							},
						},
					},
				},
			},
		},
			kscrolling ={
					type = "group",
					name = "Scrolling Combat Text",
					args = {
				sct = {
					type = 'select',
					name = "Select Combat Text",
					order = 1,
					desc = "Select Combat Text to use |cff00FF00This only works for Buffs and Expiries|r",
					get = function(info) return NuttyWarAnnounce.db.profile.sct end,
					set = function(info, value) NuttyWarAnnounce.db.profile.sct = value end,
					disabled = function(info) return NuttyWarAnnounce.db.profile.nwasct end,
					values = {
						["none"] = "NO COMBAT TEXT",
						["Blizzard"] = "Blizzard's Floating Combat Text",
						["MSBT"] = "Mik's Scrolling Battle Text",
						["Parrot"] = "Parrot",
					},
				},
				nwasct = {
					type = "toggle",
					name = "Nutty War Announce Scrolling Text",
					order = 2,
					width = "full",
					desc = "Enables Nutty War Announce Scrolling Text.",
					get = function(info) return NuttyWarAnnounce.db.profile.nwasct end,
					set = function(info, value) NuttyWarAnnounce.db.profile.nwasct = value end,
					disabled = function(info) return NuttyWarAnnounce.db.profile.sct == "Blizzard" or NuttyWarAnnounce.db.profile.sct == "MSBT" or NuttyWarAnnounce.db.profile.sct == "Parrot"  end
				},
				colour = {
					order = 3,
					name = "Nutty War Announce Scrolling font colour",
					desc = "Change the font colour of Nutty War Announce Scrolling text",
					type = "color",
					hasAlpha = false,
					get = function( info )
					local r = NuttyWarAnnounce.db.profile.sctfc.colour.r
					local g = NuttyWarAnnounce.db.profile.sctfc.colour.g
					local b = NuttyWarAnnounce.db.profile.sctfc.colour.b
						return r, g, b
					end,
					set = function( info, r, g, b )
						NuttyWarAnnounce.db.profile.sctfc.colour.r = r
						NuttyWarAnnounce.db.profile.sctfc.colour.g = g
						NuttyWarAnnounce.db.profile.sctfc.colour.b = b
					end,
				},
				lock = {
					type = "toggle",
					name = "Unlock",
					order = 4,
					desc = "Unlock the Nutty War Announce Scrolling Text frame so you can move the location of the scrolling text.",
					get = function(info) return NuttyWarAnnounce.db.profile.lock end,
					set = function(info, value) 
					NuttyWarAnnounce.db.profile.lock = value
					NuttyWarAnnounce:FrameUpdate()end,
				},
				font = {
					 type = "select",
					 dialogControl = "LSM30_Font",
					 name = "Font",
					 desc = "Select Nutty War Announce Scrolling Text font",
					 order = 5,
					 values = Media:HashTable("font"), -- pull in your font list from LSM
					 get = function(info) return NuttyWarAnnounce.db.profile.font end,
					 set = function(info, value) NuttyWarAnnounce.db.profile.font = value  end,
				},
				fontsize = {
						type = "range",
						order = 6,
						name = "Font Size",
						desc = "Select Nutty War Announce Scrolling Text font size",
						min = 4, max = 40, step = 1,
						get = function(info) return NuttyWarAnnounce.db.profile.fontsize end,
						set = function(info, value) NuttyWarAnnounce.db.profile.fontsize = value end,
					},
				fontoutline = {
						type = "select",
						order = 7,
						name = "Font Outline",
						desc = "The outline that Nutty War Announce Scrolling Text font will use",
						get = function(info) return NuttyWarAnnounce.db.profile.fontoutline end,
						set = function(info, value) NuttyWarAnnounce.db.profile.fontoutline = value end,
						values = 		{
							[""]             = "None",
							["OUTLINE"]      = "Outline",
							["THICKOUTLINE"] = "Thick Outline",
						},
					},
				},
			},
	},
}
